Bug 1702660 - Task not marked as Finished while queuing service chargeback report through REST API
Summary: Task not marked as Finished while queuing service chargeback report through R...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.4
Assignee: Yuri Rudman
QA Contact: Nandini Chandra
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1648499
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-24 11:42 UTC by Satoe Imaishi
Modified: 2019-05-21 05:47 UTC (History)
7 users (show)

Fixed In Version: 5.10.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1648499
Environment:
Last Closed: 2019-05-21 05:47:07 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:14 UTC

Comment 2 CFME Bot 2019-04-24 19:30:22 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/acb6009a444c58eddef4e5a14d04d810b61a2ff0
commit acb6009a444c58eddef4e5a14d04d810b61a2ff0
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Fri Mar 15 14:34:17 2019 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Fri Mar 15 14:34:17 2019 -0400

    Merge pull request #18542 from yrudman/fixed-finsihed-status-for-task-generationg-chargeback-foer-service

    Fix: started_on and state attributes for task linked to chargeback for service
    (cherry picked from commit 0cae9ee4bca06378b5dc494d0c5e3dfbb90d2460)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1702660

 app/models/service.rb | 16 +-
 spec/models/service_spec.rb | 2 +
 2 files changed, 15 insertions(+), 3 deletions(-)

Comment 3 Nandini Chandra 2019-04-29 22:14:06 UTC
Verified in 5.10.4

Comment 5 errata-xmlrpc 2019-05-21 05:47:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.